org.apache.poi.sl.draw

## Class DrawMasterSheet

- java.lang.Object
- - org.apache.poi.sl.draw.DrawSheet
  - - org.apache.poi.sl.draw.DrawMasterSheet

- All Implemented Interfaces:
    Drawable

      public class DrawMasterSheet
      extends DrawSheet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.draw.Drawable

      `Drawable.DrawableHint`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.sl.draw.DrawSheet

      `sheet`

    - ### Fields inherited from interface org.apache.poi.sl.draw.Drawable

      `BUFFERED_IMAGE, CURRENT_SLIDE, DRAW_FACTORY, FONT_FALLBACK, FONT_HANDLER, FONT_MAP, GRADIENT_SHAPE, GRESTORE, GROUP_TRANSFORM, GSAVE, IMAGE_RENDERER, PRESET_GEOMETRY_CACHE, TEXT_AS_CHARACTERS, TEXT_AS_SHAPES, TEXT_RENDERING_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawMasterSheet(MasterSheet<?,?> sheet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canDraw(java.awt.Graphics2D graphics, Shape<?,?> shape)` Checks if this `sheet` displays the specified shape.

    - ### Methods inherited from class org.apache.poi.sl.draw.DrawSheet

      `applyTransform, draw, drawContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrawMasterSheet

          public DrawMasterSheet(MasterSheet<?,?> sheet)

  - ### Method Detail

    - #### canDraw

          protected boolean canDraw(java.awt.Graphics2D graphics,
                                    Shape<?,?> shape)

      Checks if this `sheet` displays the specified shape. Subclasses can override it and skip certain shapes from drawings, for instance, slide masters and layouts don't display placeholders
      Overrides:
        `canDraw` in class `DrawSheet`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.